/*
 * Class ARRAY [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_472 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_472 [] = {0xFF01,237,471,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_472 [] = {0xFF01,471,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_472 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_472 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_472 [] = {0xFF01,471,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_472 [] = {0xFF01,471,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_472 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_472 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_472 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_472 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_472 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_472 [] = {471,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_472 [] = {0xFF01,471,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_472 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_472 [] = {0xFF01,466,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_472 [] = {0xFF01,465,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_472 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_472 [] = {0xFF01,470,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_472 [] = {0xFF01,465,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_472 [] = {0xFF01,471,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_472 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_472 [] = {0xFF01,148,0xFFFF};


static const struct desc_info desc_472[] = {
	{EIF_GENERIC(NULL), 5394, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_472), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_472), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_472), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_472), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_472), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_472), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_472), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_472), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_472), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_472), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_472), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_472), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_472), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_472), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_472), 5448, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_472), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2136, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5439, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5432, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_472), 3373, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_472), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_472), 4962, 0},
	{EIF_GENERIC(NULL), 4963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4964, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_472), 5401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_472), 5402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5416, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5421, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4969, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_472), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5395, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5397, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5400, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_472), 5403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5405, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 5406, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 5412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5415, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5420, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5422, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5423, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5424, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5425, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5426, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5427, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5428, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5429, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5430, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5431, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5433, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5434, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5435, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5436, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5437, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5438, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5440, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5441, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5442, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5444, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_472), 5445, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_472), 5446, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_472), 5447, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_472), 5450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5453, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_472), 5401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_472), 5402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5416, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5421, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5421, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_472), 5401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_472), 5410, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5416, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 5409, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5414, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init472(void)
{
	IDSC(desc_472, 0, 471);
	IDSC(desc_472 + 1, 1, 471);
	IDSC(desc_472 + 32, 77, 471);
	IDSC(desc_472 + 41, 129, 471);
	IDSC(desc_472 + 47, 282, 471);
	IDSC(desc_472 + 56, 99, 471);
	IDSC(desc_472 + 58, 81, 471);
	IDSC(desc_472 + 67, 4, 471);
	IDSC(desc_472 + 105, 187, 471);
	IDSC(desc_472 + 111, 256, 471);
	IDSC(desc_472 + 114, 50, 471);
	IDSC(desc_472 + 115, 103, 471);
	IDSC(desc_472 + 117, 229, 471);
	IDSC(desc_472 + 118, 35, 471);
	IDSC(desc_472 + 119, 172, 471);
}


#ifdef __cplusplus
}
#endif
